// ETUDriverSink.cpp : Implementation of CETUDriverSink

#include "stdafx.h"
#include "ETUDriverSink.h"


// CETUDriverSink

_ATL_FUNC_INFO OnDataEventInfo = {CC_STDCALL, VT_EMPTY, 3, {VT_I4, VT_I4, VT_I4}};

void __stdcall CETUDriverSink::OnDataEvent(long dataEvent, long* data, long* param)
{
	switch(dataEvent)
	{
	case geSample:
		if (pProcessor != NULL)
			pProcessor->ProcessSample(pETUD->LastSample);
		break;
	case geBlinkEnd:	// blink end
		if (pProcessor != NULL)
			pProcessor->ProcessBlink(pETUD->LastBlink);
		break;
	case geFixationUpdate:	// fixation update
		if (pProcessor != NULL)
			pProcessor->ProcessFixation(pETUD->LastFixation);
		break;
	default:
		break;
	}
}
