#pragma once

#include "GazeCallbacks.h"

class IGazeSource
{
public:
	virtual void StartTracking() = 0;
	virtual void StopTracking() = 0;
	virtual bool IsTracking() = 0;
	
	virtual void RegisterBlinkCallback(blinkCallback callback) = 0;
	virtual void RegisterSampleCallback(sampleCallback callback) = 0;
	virtual void RegisterFixationCallback(fixationCallback callback) = 0;
};

//extern "C" __declspec(dllexport) IGazeSource* GetETUDriverSource();