package GD.Data;

import java.awt.Point;

/**
 * Interface implementing methods, required for the gaze data entries that can
 * be tracked (i.e. contain coordinates)
 * 
 * @see Fixation
 * @see SingleSample
 * 
 * @version 2.1.0
 * @author Andrey Shipilov
 */
public interface ICoordinates {
	/**
	 * Get coordinates of the gaze data entry
	 * 
	 * @return Point object containing coordinates of the entry
	 */
	public Point Coords();
}