package GD.GUI;

import GD.Connection.IGazeSource;
import java.util.HashMap;

import GD.Data.IGazeClient;
import GD.Data.IGazeTracker;
import GD.Graphics.IGazeMapProducer;

public interface IGazeCanvas extends IGazeTracker {
        public IGazeClient getClient(int id);
	public HashMap<Short, IGazeClient> Clients();
	public IGazeMapProducer MapProducer();
        public IGazeSource GazeSource();
        
        public void StartTracking();
        public void StopTracking();
        
        public int getMPS();
        public void setMPS(int mps);
        
        public int getFPS();
        public void setFPS(int fps);
}
