/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GD.Connection.ETUD;

import GD.Data.*;
import com.sun.jna.Callback;
import java.awt.Point;

/**
 *
 * @author skim
 */
public class SampleCallback implements Callback {

    private IGazeContainer mGazeContainer;

    public SampleCallback(IGazeContainer container) {
        mGazeContainer = container;
    }

    public void callback(int ordinal, int time, int event, int eye, int pupil, int x, int y) {
        Point coords = Converter.DisplayToServer(x, y);
        if (Converter.IsInsideDisplay(coords) && mGazeContainer != null)
        {
            synchronized(mGazeContainer){
                mGazeContainer.Add(new GazeEntrySample(ordinal, time, event, eye, pupil, coords));
            }
        }
    }
}
