package GD.Graphics;

import java.awt.Graphics;
import java.awt.Point;
import java.awt.Rectangle;
import java.awt.geom.Rectangle2D;

/**
 * Simple oval gaze data mark.
 * 
 * 
 * @version 2.0.0
 * @author Andrey Shipilov
 */

abstract class GazeMarkBase {
        String mTypeName; 
	Rectangle2D mSize;

	public GazeMarkBase(String typeName) {
            setSize(new Rectangle(50, 50));
            mTypeName = typeName;
	}
        
        public final String getTypeName(){
            return mTypeName;
        }

	public Rectangle2D getSize() {
		return mSize;
	}

	public void setSize(Rectangle2D size) {
		mSize = size;
	}

	abstract public Rectangle2D draw(Graphics g, Point coords);
}
